const St = imports.gi.St;
const userMenuButton = imports.ui.main.panel._statusArea['userMenu'];

function old_updatePresenceIcon(accountMgr, presence, status, message){}

function new_updatePresenceIcon(accountMgr, presence, status, message)
{
	if(this._shutdownIcon == undefined)
	{
		userMenuButton._shutdownIcon = new St.Icon({
											icon_name: 'system-shutdown',
											style_class: 'popup-menu-icon'
										});
	}	
	this._iconBox.child = this._shutdownIcon;
}

function init() {	
}

function enable() {
	userMenuButton._name.hide();
	userMenuButton._iconBox.show();
	
	old_updatePresenceIcon = userMenuButton._updatePresenceIcon;
    userMenuButton._updatePresenceIcon = new_updatePresenceIcon;
    userMenuButton._updatePresenceIcon();
}

function disable() {
	userMenuButton._name.show();
	
    userMenuButton._updatePresenceIcon = old_updatePresenceIcon;
    
    userMenuButton._iconBox.child = userMenuButton._offlineIcon;
    userMenuButton._shutdownIcon.destroy();
}
