
const St = imports.gi.St;
const Main = imports.ui.main;
const Tweener = imports.ui.tweener;
const ExtensionSystem = imports.ui.extensionSystem;

let changeExtConnectId = null;

function extensionStateChanged(a) {
    let children = Main.panel._leftBox.get_children();
    orderLeft = {'workspace-switcher':2,
                 'desktop':3,
		 'qlcontainer':1};
    for (let i = 0; i < children.length; i++) {
    	let classname = children[i].get_style_class_name();
    	if(classname) {
	    if(orderLeft[classname]  && orderLeft[classname] != i) {
	    	let element = children[i];
	    	Main.panel._leftBox.remove_actor(element);
	    	Main.panel._leftBox.insert_actor(element,orderLeft[classname]);
	    }
	}
    }
}

function init() {
}

function enable() {
    changeExtConnectId = ExtensionSystem.connect('extension-state-changed',extensionStateChanged);
    extensionStateChanged(null);
}

function disable() {
    if (changeExtConnectId) {
         ExtensionSystem.disconnect(changeExtConnectId);
         changeExtConnectId = null;
    }
}
